Delete a template
Delete a template
DELETE
/
emails
/
builder
/
{locationId}
/
{templateId}
Delete a template
curl --request DELETE \
--url https://services.leadconnectorhq.com/emails/builder/{locationId}/{templateId} \
--header 'Version: <version>'const options = {method: 'DELETE', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/emails/builder/{locationId}/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/emails/builder/{locationId}/{templateId}"
headers = {"Version": "<version>"}
response = requests.delete(url, headers=headers)
print(response.text){
"ok": "true",
"traceId": "0c52e980-41f6-4be7-8c4b-32332ss"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
Last modified on March 8, 2026
Was this page helpful?
Delete a template
curl --request DELETE \
--url https://services.leadconnectorhq.com/emails/builder/{locationId}/{templateId} \
--header 'Version: <version>'const options = {method: 'DELETE', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/emails/builder/{locationId}/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/emails/builder/{locationId}/{templateId}"
headers = {"Version": "<version>"}
response = requests.delete(url, headers=headers)
print(response.text){
"ok": "true",
"traceId": "0c52e980-41f6-4be7-8c4b-32332ss"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}